// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Menu的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Menu_MenuId = grmi.NewField("MenuId", "Menu_New.MenuId", "menuid", grmi.TypeInt)
var Menu_MenuName = grmi.NewField("MenuName", "Menu_New.MenuName", "menuname", grmi.TypeString)
var Menu_Title = grmi.NewField("Title", "Menu_New.Title", "title", grmi.TypeString)
var Menu_Icon = grmi.NewField("Icon", "Menu_New.Icon", "icon", grmi.TypeString)
var Menu_Path = grmi.NewField("Path", "Menu_New.Path", "path", grmi.TypeString)
var Menu_Paths = grmi.NewField("Paths", "Menu_New.Paths", "paths", grmi.TypeString)
var Menu_MenuType = grmi.NewField("MenuType", "Menu_New.MenuType", "menutype", grmi.TypeString)
var Menu_Action = grmi.NewField("Action", "Menu_New.Action", "action", grmi.TypeString)
var Menu_Permission = grmi.NewField("Permission", "Menu_New.Permission", "permission", grmi.TypeString)
var Menu_ParentId = grmi.NewField("ParentId", "Menu_New.ParentId", "parentid", grmi.TypeInt)
var Menu_NoCache = grmi.NewField("NoCache", "Menu_New.NoCache", "nocache", grmi.TypeString)
var Menu_BreadCrumb = grmi.NewField("BreadCrumb", "Menu_New.BreadCrumb", "breadcrumb", grmi.TypeString)
var Menu_Component = grmi.NewField("Component", "Menu_New.Component", "component", grmi.TypeString)
var Menu_Sort = grmi.NewField("Sort", "Menu_New.Sort", "sort", grmi.TypeInt)
var Menu_Visible = grmi.NewField("Visible", "Menu_New.Visible", "visible", grmi.TypeString)
var Menu_IsFrame = grmi.NewField("IsFrame", "Menu_New.IsFrame", "isframe", grmi.TypeInt)
var Menu_LastModify = grmi.NewField("LastModify", "Menu_New.LastModify", "lastmodify", grmi.TypeDateTime)
var Menu_LastUser = grmi.NewField("LastUser", "Menu_New.LastUser", "lastuser", grmi.TypeString)
var Menu_CreateTime = grmi.NewField("CreateTime", "Menu_New.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Menu的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Menu = grmi.NewEntity(
	"Menu_New",
	func() interface{} { return &model.Menu{} },
	map[string]grmi.Field{
		Menu_MenuId.Name:     Menu_MenuId,
		Menu_MenuName.Name:   Menu_MenuName,
		Menu_Title.Name:      Menu_Title,
		Menu_Icon.Name:       Menu_Icon,
		Menu_Path.Name:       Menu_Path,
		Menu_Paths.Name:      Menu_Paths,
		Menu_MenuType.Name:   Menu_MenuType,
		Menu_Action.Name:     Menu_Action,
		Menu_Permission.Name: Menu_Permission,
		Menu_ParentId.Name:   Menu_ParentId,
		Menu_NoCache.Name:    Menu_NoCache,
		Menu_BreadCrumb.Name: Menu_BreadCrumb,
		Menu_Component.Name:  Menu_Component,
		Menu_Sort.Name:       Menu_Sort,
		Menu_Visible.Name:    Menu_Visible,
		Menu_IsFrame.Name:    Menu_IsFrame,
		Menu_LastModify.Name: Menu_LastModify,
		Menu_LastUser.Name:   Menu_LastUser,
		Menu_CreateTime.Name: Menu_CreateTime,
	},
	[]string{},
	[]string{"MenuName", "Title", "Icon", "Path", "Paths", "MenuType", "Action", "Permission", "ParentId", "NoCache", "BreadCrumb", "Component", "Sort", "Visible", "IsFrame", "LastUser"})
